Up

# NSPredicate class documentation

### Authors

Generated by Debian

### Contents -

1. Software documentation for the NSPredicate class
2. Software documentation for the NSArray(NSPredicate) category
3. Software documentation for the NSMutableArray(NSPredicate) category
4. Software documentation for the NSMutableSet(NSPredicate) category
5. Software documentation for the NSSet(NSPredicate) category

# Software documentation for the NSPredicate class

## NSPredicate : NSObject

> Declared in:
>   Foundation/NSPredicate.h

> Conforms to:
>   NSCoding
>   NSCopying

Availability: MacOS-X 10.4.0
Description forthcoming.
Method summary

- +predicateWithBlock:
- +predicateWithFormat:,...
- +predicateWithFormat:argumentArray:
- +predicateWithFormat:arguments:
- +predicateWithValue:
- -evaluateWithObject:
- -evaluateWithObject:substitutionVariables:
- -predicateFormat
- -predicateWithSubstitutionVariables:

### predicateWithBlock:

+ (NSPredicate*) predicateWithBlock: (GSBlockPredicateBlock)block;
Availability: MacOS-X 10.6.0
Description forthcoming.

### predicateWithFormat: ,...

+ (NSPredicate*) predicateWithFormat: (NSString*)format,...;
Availability: MacOS-X 10.4.0
Description forthcoming.

### predicateWithFormat: argumentArray:

+ (NSPredicate*) predicateWithFormat: (NSString*)format argumentArray: (NSArray*)args;
Availability: MacOS-X 10.4.0
Description forthcoming.

### predicateWithFormat: arguments:

+ (NSPredicate*) predicateWithFormat: (NSString*)format arguments: (va_list)args;
Availability: MacOS-X 10.4.0
Description forthcoming.

### predicateWithValue:

+ (NSPredicate*) predicateWithValue: (BOOL)value;
Availability: MacOS-X 10.4.0
Description forthcoming.

### evaluateWithObject:

- (BOOL) evaluateWithObject: (id)object;
Availability: MacOS-X 10.4.0
Description forthcoming.

### evaluateWithObject: substitutionVariables:

- (BOOL) evaluateWithObject: (id)object substitutionVariables: (GS_GENERIC_CLASS(NSDictionary,NSString*,id)*)variables;
Availability: MacOS-X 10.5.0
Description forthcoming.

### predicateFormat

- (NSString*) predicateFormat;
Availability: MacOS-X 10.4.0
Description forthcoming.

### predicateWithSubstitutionVariables:

- (NSPredicate*) predicateWithSubstitutionVariables: (NSDictionary*)variables;
Availability: MacOS-X 10.4.0
Description forthcoming.

# Software documentation for the NSArray(NSPredicate) category

## NSArray(NSPredicate)

> Declared in:
>   Foundation/NSPredicate.h

Availability: MacOS-X 10.4.0
Description forthcoming.
Method summary

- -filteredArrayUsingPredicate:

### filteredArrayUsingPredicate:

- (GS_GENERIC_CLASS(NSArray,ElementT)*) filteredArrayUsingPredicate: (NSPredicate*)predicate;
Availability: MacOS-X 10.4.0
Evaluate each object in the array using the specified predicate and return an array containing all the objects which evaluate to `YES`.

# Software documentation for the NSMutableArray(NSPredicate) category

## NSMutableArray(NSPredicate)

> Declared in:
>   Foundation/NSPredicate.h

Availability: MacOS-X 10.4.0
Description forthcoming.
Method summary

- -filterUsingPredicate:

### filterUsingPredicate:

- (void) filterUsingPredicate: (NSPredicate*)predicate;
Availability: MacOS-X 10.4.0
Evaluate each object in the array using the specified predicate and remove each objects which evaluates to `NO`.

# Software documentation for the NSMutableSet(NSPredicate) category

## NSMutableSet(NSPredicate)

> Declared in:
>   Foundation/NSPredicate.h

Availability: MacOS-X 10.4.0
Description forthcoming.
Method summary

- -filterUsingPredicate:

### filterUsingPredicate:

- (void) filterUsingPredicate: (NSPredicate*)predicate;
Availability: MacOS-X 10.4.0
Evaluate each object in the set using the specified predicate and remove each objects which evaluates to `NO`.

# Software documentation for the NSSet(NSPredicate) category

## NSSet(NSPredicate)

> Declared in:
>   Foundation/NSPredicate.h

Availability: MacOS-X 10.4.0
Description forthcoming.
Method summary

- -filteredSetUsingPredicate:

### filteredSetUsingPredicate:

- (GS_GENERIC_CLASS(NSSet,ElementT)*) filteredSetUsingPredicate: (NSPredicate*)predicate;
Availability: MacOS-X 10.4.0
Evaluate each object in the set using the specified predicate and return an set containing all the objects which evaluate to `YES`.

Up